<?php 

// Add Partners section
$wp_customize->add_section( 'fondness_partners_section', array(
	'title'             => esc_html__( 'Partners','trade-more' ),
	'description'       => esc_html__( 'Partners Section options.', 'trade-more' ),
	'panel'             => 'fondness_front_page_panel',
	'priority'			=> 70,
	
) );

// Partners content enable control and setting
$wp_customize->add_setting( 'partners_section_enable', array(
	'sanitize_callback' => 'fondness_sanitize_switch_control',
) );

$wp_customize->add_control( new Trade_More_Switch_Control( $wp_customize, 'partners_section_enable', array(
	'label'             => esc_html__( 'Partners Section Enable', 'trade-more' ),
	'section'           => 'fondness_partners_section',
	'on_off_label' 		=> fondness_switch_options(),
) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial( 'partners_section_enable', array(
		'selector'            => '#partners-section .tooltiptext',
		'settings'            => 'partners_section_enable',
		) );
}

for ( $i = 1; $i <= 6; $i++ ) :
	// partners number control and setting
	$wp_customize->add_setting( 'partners_image_'.$i, array(
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'partners_image_'.$i, array(
		'label'             => sprintf( esc_html__( 'Image %d', 'trade-more' ), $i ),
		'section'           => 'fondness_partners_section',
		'active_callback'   => 'trade_more_is_partners_section_enable',
	) ) );

	// partners custom date
	$wp_customize->add_setting( 'partners_url_'.$i, array(
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'partners_url_'.$i, array(
		'label'             => sprintf( esc_html__( 'Link %d', 'trade-more' ), $i ),
		'section'           => 'fondness_partners_section',
		'active_callback'	=> 'trade_more_is_partners_section_enable',
	) );

endfor;