<?php

if ( ! function_exists( 'trade_more_add_counter_section' ) ) :

    function trade_more_add_counter_section() {
        
         if ( get_theme_mod( 'counter_section_enable' ) == false ) {
            return false;
        }

        trade_more_render_counter_section();
    }
endif;

if ( ! function_exists( 'trade_more_render_counter_section' ) ) :

   function trade_more_render_counter_section() {
      $image = !empty( get_theme_mod( 'counter_image' ) ) ? get_theme_mod( 'counter_image' ) : '';      
      ?>

        <div id="fondness_counter_section">          
           <div id="counter-section" class="relative page-section" style="background-image: url('<?php echo esc_url( $image ); ?>');">      
                <div class="overlay"></div>
                <div class="wrapper">
                <?php if ( is_customize_preview()):
            fondness_section_tooltip( 'counter-section' );
            endif; ?>
                    <div class="col-4 clear">
                        
                        <?php for ( $i = 1; $i <= 4; $i++){ 
                          $value = !empty( get_theme_mod( 'counter_value_' . $i ) ) ? get_theme_mod( 'counter_value_' . $i ) : '';
                          $title = !empty( get_theme_mod( 'counter_label_' . $i ) ) ? get_theme_mod( 'counter_label_' . $i ) : '';
                          $icon = !empty( get_theme_mod( 'counter_icon_' . $i ) ) ? get_theme_mod( 'counter_icon_' . $i ) : 'fa-meetup';
                          ?>

                        <article>
                            <div class="counter-item">
                                <div class="counter-icon">
                                    <i class="fa <?php echo esc_attr( $icon ); ?>"></i>
                                </div>                                
                              <?php if( !empty( $value ) && !empty( $title ) ): ?>
                                <h2 class="counter-value"><?php echo esc_html( $value ); ?></h2>
                                <h3 class="counter-title"><?php echo esc_html( $title ); ?></h3>

                              <?php endif; ?>
                            </div>
                        </article>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
            
    <?php }
endif;