<?php

if ( ! function_exists( 'trade_more_add_service_section' ) ) :

    function trade_more_add_service_section() {
        
        if ( get_theme_mod( 'service_section_enable' ) == false ) {
            return false;
        }

        $section_details = array();
        $section_details = apply_filters( 'trade_more_filter_service_section_details', $section_details );

        if ( empty( $section_details ) ) {
            return;
        }

        trade_more_render_service_section( $section_details );
    }

endif;

if ( ! function_exists( 'trade_more_get_service_section_details' ) ) :

    function trade_more_get_service_section_details( $input ) {
        
        $content = array();
        $page_ids = array();

                for ( $i = 1; $i <= 6; $i++ ) {
                    if ( ! empty( get_theme_mod( 'service_content_page_' . $i ) ) )
                        $page_ids[] = get_theme_mod( 'service_content_page_' . $i );
                }
                
                $args = array(
                    'post_type'         => 'page',
                    'post__in'          => ( array ) $page_ids,
                    'posts_per_page'    => 6,
                    'orderby'           => 'post__in',
                    );

            $query = new WP_Query( $args );
            if ( $query->have_posts() ) : 
                while ( $query->have_posts() ) : $query->the_post();
                    $page_post['id']        = get_the_id();
                    $page_post['title']     = get_the_title();
                    $page_post['url']       = get_the_permalink();
                    $page_post['excerpt']   = fondness_trim_content( 15 );
                    $page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'full' ) : get_template_directory_uri() . '/assets/uploads/no-featured-image-590x650.jpg';

                    array_push( $content, $page_post );
                endwhile;
            endif;
            wp_reset_postdata();
            
        if ( ! empty( $content ) ) {
            $input = $content;
        }
        return $input;
    }
endif;

add_filter( 'trade_more_filter_service_section_details', 'trade_more_get_service_section_details' );


if ( ! function_exists( 'trade_more_render_service_section' ) ) :

   function trade_more_render_service_section( $content_details = array() ) {

     $service_title = ! empty( get_theme_mod( 'service_title' ) ) ? get_theme_mod( 'service_title' ) : '';
        $service_sub_title = ! empty( get_theme_mod( 'service_sub_title' ) ) ? get_theme_mod( 'service_sub_title' ) : '';

        if ( empty( $content_details ) ) {
            return;
        } ?>

        <div id="fondness_service_section">

        <div id="our-services" class="relative page-section same-background">
                <div class="wrapper">
                 <?php if ( is_customize_preview()):
            fondness_section_tooltip( 'our-services' );
            endif; ?>
                    <div class="section-header">
                    <?php if( !empty( $service_sub_title ) ): ?>
                        <h3 class="section-subtitle"><?php echo esc_html( $service_sub_title ); ?></h3>
                    <?php endif;

                        if( !empty( $service_title ) ):
                     ?>
                        <h2 class="section-title"><?php echo esc_html( $service_title ); ?></h2>
                    <?php endif; ?>
                        <span class="separator"></span>
                    </div>

                    <div class="section-content col-3 clear">
                        
                        <?php $i = 1; foreach ( $content_details as $content ) : ?>

                        <article>
                            <div class="service-item-wrapper">
                                <div class="icon-container">
                                    <a href="<?php echo esc_url( $content['url'] ); ?>"><i class="fa <?php echo ! empty( get_theme_mod( 'service_content_icon_' . $i ) ) ? esc_attr( get_theme_mod( 'service_content_icon_' . $i ) ) : 'fa-meetup'; ?>"></i></a>
                                </div>
                                <header class="entry-header">
                                    <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                                </header>

                                <div class="entry-content">
                                    <p><?php echo esc_html( $content['excerpt'] ); ?></p>
                                </div>
                            </div>
                        </article>
                        <?php $i++; endforeach; ?>

                    </div>
                </div>
            </div>

            </div>
              
<?php    }
endif;