<?php

if ( ! function_exists( 'trade_more_add_testimonial_section' ) ) :

    function trade_more_add_testimonial_section() {

        if ( get_theme_mod( 'testimonial_section_enable' ) == false ) {
            return false;
        }

        $section_details = array();
        $section_details = apply_filters( 'trade_more_filter_testimonial_section_details', $section_details );

        if ( empty( $section_details ) ) {
            return;
        }

        trade_more_render_testimonial_section( $section_details );
    }

endif;

if ( ! function_exists( 'trade_more_get_testimonial_section_details' ) ) :

    function trade_more_get_testimonial_section_details( $input ) {
        
        $content = array();
        $page_ids = array();

                for ( $i = 1; $i <= 3; $i++ ) {
                    if ( ! empty( get_theme_mod( 'testimonial_content_page_' . $i ) ) ) :
                        $page_ids[] = get_theme_mod( 'testimonial_content_page_' . $i );
                    endif;
                }
                
                $args = array(
                    'post_type'         => 'page',
                    'post__in'          => ( array ) $page_ids,
                    'posts_per_page'    => absint( 3 ),
                    'orderby'           => 'post__in',
                    );   

            $query = new WP_Query( $args );
            if ( $query->have_posts() ) : 
                while ( $query->have_posts() ) : $query->the_post();
                    $page_post['id']        = get_the_id();
                    $page_post['title']     = get_the_title();
                    $page_post['url']       = get_the_permalink();
                    $page_post['excerpt']   = fondness_trim_content( 25 );
                    $page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'full' ) : '';

                    array_push( $content, $page_post );
                endwhile;
            endif;
            wp_reset_postdata();
            
        if ( ! empty( $content ) ) {
            $input = $content;
        }
        return $input;
    }
endif;

add_filter( 'trade_more_filter_testimonial_section_details', 'trade_more_get_testimonial_section_details' );


if ( ! function_exists( 'trade_more_render_testimonial_section' ) ) :

   function trade_more_render_testimonial_section( $content_details = array() ) {


        if ( empty( $content_details ) ) {
            return;
        } ?>

        <div id="fondness_testimonial_section">

         <div id="testimonial-section" class="relative page-section same-background">
                <div class="wrapper">
                <?php if ( is_customize_preview()):
            fondness_section_tooltip( 'testimonial-section' );
            endif; ?>
                    <div class="testimonial-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": false, "arrows":true, "autoplay": false, "draggable": true, "fade": false }'>
                       
                        <?php $i = 1 ; foreach ( $content_details as $content ) : ?>

                        <article>
                            <div class="testimonial-item">
                                <div class="entry-container">
                                    <div class="entry-content">
                                        <p><?php echo wp_kses_post( $content['excerpt'] ); ?></p>
                                    </div><!-- .entry-content -->

                                    <header class="entry-header">
                                        <span><a href="<?php echo esc_url( $content['url'] ); ?>">-<?php echo esc_html( $content['title'] ); ?></a>

                                        <?php if ( !empty(get_theme_mod( 'testimonial_author_position_'.$i )) ):

                                         echo esc_html( get_theme_mod( 'testimonial_author_position_'.$i ) );

                                         endif; ?>

                                        </span>
                                    </header>
                                </div>
                            </div>
                        </article>

                        <?php $i++ ; endforeach ; ?>

                    </div>
                </div>
            </div>

            </div>
              
<?php    }
endif;